Subject: Re: bug#39824: 26.2; timers sometimes stop working when coming back from sleep

From: ndame <[email-masked]>
Date: Sun, 19 Apr 2020 15:54:51 +0000

> If a timer signals an error, it is TRT to disable it, right?
> Otherwise, it will keep signaling errors over and over and over again,
> right?

Naturally, but in this case the timer stays in the timer list with
an ever decreasing negative value. It won't fire again, but it will
stay in the timer list.

Anyway, I just wanted to explain which you asked earlier: "So the
main question to be answered is: how come that t remained in the timer?
I looked at timer-event-handler, the
function we call to run the timer, and didn't see there any way we
could fail to update the timer with nil after its function returns"